#!/usr/bin/perl -w
use strict;

my %USEFUL = ("1"  => "airport",
	      "16" => "seaplane base",
	      "17" => "heliport",
	      "10" => "runway");

my $useless = 0;
while(<>) {
    my @toks = split /\s/, $_;
    next if @toks == 0;
    if(defined $USEFUL{$toks[0]}) { print $_; }
    else { $useless++; }
}

print STDERR "Useless lines: $useless\n";
